diff --git a/KitchenSink/Resources/examples/switch.js b/KitchenSink/Resources/examples/switch.js
index ea0b1f0..a374f22 100644
--- a/KitchenSink/Resources/examples/switch.js
+++ b/KitchenSink/Resources/examples/switch.js
@@ -17,7 +17,7 @@ var basicSwitchLabel = Titanium.UI.createLabel({
 
 var basicSwitch = Titanium.UI.createSwitch({
 	value:false,
-	top:30,
+	top:30
 });
 
 basicSwitch.addEventListener('change',function(e)
@@ -36,14 +36,7 @@ var changeButton = Titanium.UI.createButton({
 });
 changeButton.addEventListener('click', function()
 {
-	if (basicSwitch.value == false)
-	{
-		basicSwitch.value = true;
-	}
-	else
-	{
-		basicSwitch.value = false;
-	}
+	basicSwitch.value = !basicSwitch.value;
 });
 
 //
@@ -58,7 +51,7 @@ var hideShowButton = Titanium.UI.createButton({
 var hidden=false;
 hideShowButton.addEventListener('click', function()
 {
-	if (hidden==true)
+	if (hidden)
 	{
 		basicSwitch.show();
 		hidden=false;
@@ -85,15 +78,15 @@ toolbarButton.addEventListener('click', function()
 	if (!inToolbar)
 	{
 		var toolbarSwitch = Titanium.UI.createSwitch({
-			value:false,
+			value:false
 		});
-		win.setToolbar([toolbarSwitch])
+		win.setToolbar([toolbarSwitch]);
 		inToolbar = true;
 	}
 	else
 	{
 		inToolbar = false;
-		win.setToolbar(null,{animated:true})
+		win.setToolbar(null,{animated:true});
 	}
 });
 
@@ -147,7 +140,7 @@ titleButton.addEventListener('click', function()
 	else
 	{
 		var titleSwitch = Titanium.UI.createSwitch({
-			value:false,
+		  value:false
 		});
 		win.titleControl = titleSwitch;
 		inTitle=true;
diff --git a/KitchenSink/Resources/examples/system_buttons.js b/KitchenSink/Resources/examples/system_buttons.js
index 4a66380..fbc5adc 100644
--- a/KitchenSink/Resources/examples/system_buttons.js
+++ b/KitchenSink/Resources/examples/system_buttons.js
@@ -13,7 +13,7 @@ var fixedSpace = Titanium.UI.createButton({
 
 // system buttons
 var action = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.ACTION,
+	systemButton:Titanium.UI.iPhone.SystemButton.ACTION
 });
 action.addEventListener('click', function()
 {
@@ -21,7 +21,7 @@ action.addEventListener('click', function()
 });
 
 var camera = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.CAMERA,
+	systemButton:Titanium.UI.iPhone.SystemButton.CAMERA
 });
 camera.addEventListener('click', function()
 {
@@ -29,7 +29,7 @@ camera.addEventListener('click', function()
 });
 
 var compose = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.COMPOSE,
+	systemButton:Titanium.UI.iPhone.SystemButton.COMPOSE
 });
 compose.addEventListener('click', function()
 {
@@ -37,7 +37,7 @@ compose.addEventListener('click', function()
 });
 
 var bookmarks = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.BOOKMARKS,
+	systemButton:Titanium.UI.iPhone.SystemButton.BOOKMARKS
 });
 bookmarks.addEventListener('click', function()
 {
@@ -45,7 +45,7 @@ bookmarks.addEventListener('click', function()
 });
 
 var search = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.SEARCH,
+	systemButton:Titanium.UI.iPhone.SystemButton.SEARCH
 });
 search.addEventListener('click', function()
 {
@@ -53,7 +53,7 @@ search.addEventListener('click', function()
 });
 
 var add = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.ADD,
+	systemButton:Titanium.UI.iPhone.SystemButton.ADD
 });
 add.addEventListener('click', function()
 {
@@ -61,7 +61,7 @@ add.addEventListener('click', function()
 });
 
 var trash = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.TRASH,
+	systemButton:Titanium.UI.iPhone.SystemButton.TRASH
 });
 trash.addEventListener('click', function()
 {
@@ -69,7 +69,7 @@ trash.addEventListener('click', function()
 });
 
 var reply = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.REPLY,
+	systemButton:Titanium.UI.iPhone.SystemButton.REPLY
 });
 reply.addEventListener('click', function()
 {
@@ -77,7 +77,7 @@ reply.addEventListener('click', function()
 });
 
 var stop = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.STOP,
+	systemButton:Titanium.UI.iPhone.SystemButton.STOP
 });
 stop.addEventListener('click', function()
 {
@@ -85,7 +85,7 @@ stop.addEventListener('click', function()
 });
 
 var refresh = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.REFRESH,
+	systemButton:Titanium.UI.iPhone.SystemButton.REFRESH
 });
 refresh.addEventListener('click', function()
 {
@@ -93,7 +93,7 @@ refresh.addEventListener('click', function()
 });
 
 var play = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.PLAY,
+	systemButton:Titanium.UI.iPhone.SystemButton.PLAY
 });
 play.addEventListener('click', function()
 {
@@ -101,7 +101,7 @@ play.addEventListener('click', function()
 });
 
 var pause = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.PAUSE,
+	systemButton:Titanium.UI.iPhone.SystemButton.PAUSE
 });
 pause.addEventListener('click', function()
 {
@@ -109,7 +109,7 @@ pause.addEventListener('click', function()
 });
 
 var fastforward = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.FAST_FORWARD,
+	systemButton:Titanium.UI.iPhone.SystemButton.FAST_FORWARD
 });
 fastforward.addEventListener('click', function()
 {
@@ -117,7 +117,7 @@ fastforward.addEventListener('click', function()
 });
 
 var rewind = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.REWIND,
+	systemButton:Titanium.UI.iPhone.SystemButton.REWIND
 });
 rewind.addEventListener('click', function()
 {
@@ -125,7 +125,7 @@ rewind.addEventListener('click', function()
 });
 
 var edit = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.EDIT,
+	systemButton:Titanium.UI.iPhone.SystemButton.EDIT
 });
 edit.addEventListener('click', function()
 {
@@ -133,7 +133,7 @@ edit.addEventListener('click', function()
 });
 
 var cancel = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.CANCEL,
+	systemButton:Titanium.UI.iPhone.SystemButton.CANCEL
 });
 cancel.addEventListener('click', function()
 {
@@ -141,7 +141,7 @@ cancel.addEventListener('click', function()
 });
 
 var save = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.SAVE,
+	systemButton:Titanium.UI.iPhone.SystemButton.SAVE
 });
 save.addEventListener('click', function()
 {
@@ -149,7 +149,7 @@ save.addEventListener('click', function()
 });
 
 var organize = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.ORGANIZE,
+	systemButton:Titanium.UI.iPhone.SystemButton.ORGANIZE
 });
 organize.addEventListener('click', function()
 {
@@ -157,7 +157,7 @@ organize.addEventListener('click', function()
 });
 
 var done = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.DONE,
+	systemButton:Titanium.UI.iPhone.SystemButton.DONE
 });
 done.addEventListener('click', function()
 {
@@ -165,16 +165,16 @@ done.addEventListener('click', function()
 });
 
 var disclosure = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.DISCLOSURE,
+	systemButton:Titanium.UI.iPhone.SystemButton.DISCLOSURE
 });
 disclosure.addEventListener('click', function()
 {
-	Ti.API.info('FOO')
+	Ti.API.info('FOO');
 	Titanium.UI.createAlertDialog({title:'System Button', message:'DISCLOSURE'}).show();
 });
 
 var contactadd = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.CONTACT_ADD,
+	systemButton:Titanium.UI.iPhone.SystemButton.CONTACT_ADD
 });
 contactadd.addEventListener('click', function()
 {
@@ -182,7 +182,7 @@ contactadd.addEventListener('click', function()
 });
 
 var nativespinner = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.SPINNER,
+	systemButton:Titanium.UI.iPhone.SystemButton.SPINNER
 });
 nativespinner.addEventListener('click', function()
 {
@@ -190,7 +190,7 @@ nativespinner.addEventListener('click', function()
 });
 
 var infolight = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.INFO_LIGHT,
+	systemButton:Titanium.UI.iPhone.SystemButton.INFO_LIGHT
 });
 infolight.addEventListener('click', function()
 {
@@ -198,7 +198,7 @@ infolight.addEventListener('click', function()
 });
 
 var infodark = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.INFO_DARK,
+	systemButton:Titanium.UI.iPhone.SystemButton.INFO_DARK
 });
 infodark.addEventListener('click', function()
 {
diff --git a/KitchenSink/Resources/examples/tab_groups.js b/KitchenSink/Resources/examples/tab_groups.js
index 0f49602..fa6db7e 100644
--- a/KitchenSink/Resources/examples/tab_groups.js
+++ b/KitchenSink/Resources/examples/tab_groups.js
@@ -28,8 +28,8 @@ addTabButton.addEventListener('click', function(e)
 	}
 	else
 	{
-		var newtab = tabGroup.tabs[5];
-		tabGroup.removeTab(newtab);
+		var tab5 = tabGroup.tabs[5];
+		tabGroup.removeTab(tab5);
 	}
 });
 
@@ -48,12 +48,11 @@ var transformed = false;
 // create button event listener
 animateTabButton.addEventListener('click', function(e)
 {
-	if (transformed == false)
+	if (!transformed)
 	{
-		var transform = Ti.UI.create2DMatrix();
-		transform = transform.scale(0.6);
-		transform = transform.rotate(45);
-		tabGroup.animate({transform:transform,duration:1000});
+		var tf = Ti.UI.create2DMatrix();
+		tf = tf.scale(0.6).rotate(45);
+		tabGroup.animate({transform:tf,duration:1000});
 
 		transformed = true;
 	}
diff --git a/KitchenSink/Resources/examples/tabbedbar.js b/KitchenSink/Resources/examples/tabbedbar.js
index d762daf..378ff5a 100644
--- a/KitchenSink/Resources/examples/tabbedbar.js
+++ b/KitchenSink/Resources/examples/tabbedbar.js
@@ -25,14 +25,6 @@ var b = Titanium.UI.createButton({
 });
 
 win.add(b);
-b.addEventListener('click', function()
-{
-	tb1.index = 0;
-	tb2.index = 0;
-	tb3.index = 0;
-	tb4.index = 0;
-	
-});
 
 //
 // BASIC TABBED BAR
@@ -119,38 +111,46 @@ tb4.addEventListener('click', function(e)
 	l.text = 'You clicked index = ' + e.index;
 });
 
+b.addEventListener('click', function()
+{
+	tb1.index = 0;
+	tb2.index = 0;
+	tb3.index = 0;
+	tb4.index = 0;
+});
+
 //
 // CUSTOM TABBED BAR
 // 
 var buttonObjects = [
 	{title:'Toggle Style', width:110, enabled:false},
 	{image:'../images/slider_thumb.png', width:50},
-	{title:'Toggle Enabled', width:140},	
+	{title:'Toggle Enabled', width:140}
 ];
-var tb4 = Titanium.UI.createTabbedBar({
+var tb5 = Titanium.UI.createTabbedBar({
 	labels:buttonObjects,
 	backgroundColor:'#999',
 	top:100,
 	style:Titanium.UI.iPhone.SystemButtonStyle.BAR,
 	height:40,
-	index:1,
+	index:1
 });
 
-win.add(tb4);
+win.add(tb5);
 var plain = false;
-tb4.addEventListener('click', function(e)
+tb5.addEventListener('click', function(e)
 {
 	// toggle button bar style
 	if (e.index == 1)
 	{
 		if (plain)
 		{
-			tb4.style = Titanium.UI.iPhone.SystemButtonStyle.BAR;
+			tb5.style = Titanium.UI.iPhone.SystemButtonStyle.BAR;
 			plain=false;
 		}
 		else
 		{
-			tb4.style = Titanium.UI.iPhone.SystemButtonStyle.PLAIN;
+			tb5.style = Titanium.UI.iPhone.SystemButtonStyle.PLAIN;
 			plain=true;
 		}
 	}
@@ -158,8 +158,8 @@ tb4.addEventListener('click', function(e)
 	// toggle enabled
 	else if (e.index == 2)
 	{
-		buttonObjects[0].enabled = (buttonObjects[0].enabled==false)?true:false;
-		tb4.labels = buttonObjects;		
+		buttonObjects[0].enabled = (!buttonObjects[0].enabled);
+		tb5.labels = buttonObjects;
 	}
 	l.text = 'You clicked index = ' + e.index;
 });
diff --git a/KitchenSink/Resources/examples/table_view_api_controls.js b/KitchenSink/Resources/examples/table_view_api_controls.js
index 5577352..ad7b82c 100644
--- a/KitchenSink/Resources/examples/table_view_api_controls.js
+++ b/KitchenSink/Resources/examples/table_view_api_controls.js
@@ -4,8 +4,8 @@ var ts1 = new Date().getTime();
 
 function rightButtonClickHandler(e)
 {
-	Ti.API.info("button click on row. index = "+e.index+", row = "+e.source.row+", section = "+e.source.section+",rightButton = "+rightButton);
-};
+	Ti.API.info("button click on row. index = "+e.index+", row = "+e.source.row+", section = "+e.source.section+",rightButton = "+e.source);
+}
 
 function rowClickHandler(e)
 {
@@ -15,7 +15,7 @@ function rowClickHandler(e)
 function sectionClickHandler(e)
 {
 	Ti.API.info("row click on section. index = "+e.index+", row = "+e.row+", section = "+e.section+", source="+e.source);
-};
+}
 
 
 for (var c=0;c<10;c++)
@@ -51,7 +51,7 @@ var tableview = Titanium.UI.createTableView({
 	data:data,
 	style: Titanium.UI.iPhone.TableViewStyle.GROUPED,
 	//rowHeight:80,
-	minRowHeight:80,
+	minRowHeight:80
 	//maxRowHeight:500,
 });
 
@@ -87,7 +87,7 @@ var messageWin = Titanium.UI.createWindow({
 	Titanium.UI.PORTRAIT,
 	Titanium.UI.UPSIDE_PORTRAIT,
 	Titanium.UI.LANDSCAPE_LEFT,
-	Titanium.UI.LANDSCAPE_RIGHT,
+	Titanium.UI.LANDSCAPE_RIGHT
 	]
 });
 
diff --git a/KitchenSink/Resources/examples/table_view_api_search.js b/KitchenSink/Resources/examples/table_view_api_search.js
index c88068c..501894f 100644
--- a/KitchenSink/Resources/examples/table_view_api_search.js
+++ b/KitchenSink/Resources/examples/table_view_api_search.js
@@ -15,7 +15,7 @@ var search = Titanium.UI.createSearchBar({
 });
 search.addEventListener('change', function(e)
 {
-   e.value // search string as user types
+//   e.value; // search string as user types
 });
 search.addEventListener('return', function(e)
 {
diff --git a/KitchenSink/Resources/examples/table_view_composite.js b/KitchenSink/Resources/examples/table_view_composite.js
index bc9be8e..42e17b3 100644
--- a/KitchenSink/Resources/examples/table_view_composite.js
+++ b/KitchenSink/Resources/examples/table_view_composite.js
@@ -32,7 +32,7 @@ tableview.addEventListener('click', function(e)
 	row.hasCheck = true;
 	var color = '#' + String(Math.round(Math.random()*9)) + String(Math.round(Math.random()*9)) + String(Math.round(Math.random()*9));
 	row.title = "Color is now: "+color;
-	row.backgroundColor = color
+	row.backgroundColor = color;
 	//Titanium.UI.createAlertDialog({title:'Table View',message:'row ' + row + ' index ' + index + ' section ' + section  + ' row data ' + rowdata}).show();
 });
 
diff --git a/KitchenSink/Resources/examples/table_view_controls_2.js b/KitchenSink/Resources/examples/table_view_controls_2.js
index c6981f5..d806f0e 100644
--- a/KitchenSink/Resources/examples/table_view_controls_2.js
+++ b/KitchenSink/Resources/examples/table_view_controls_2.js
@@ -20,7 +20,7 @@ function addRow()
 	
 	sw.addEventListener('change', function(e)
 	{
-		Ti.API.info('parent for switch ' + e.source.parent)
+		Ti.API.info('parent for switch ' + e.source.parent);
 		clickLabel.text = 'Switch changed to ' + e.value + ' at ' + new Date();
 	});
 	
@@ -43,18 +43,24 @@ function addRow()
 var data = [];
 
 var row = Ti.UI.createTableViewRow({height:50});
+
+var tableView = Ti.UI.createTableView({
+	data:data,
+	style: Titanium.UI.iPhone.TableViewStyle.GROUPED,
+	top:50
+});
+
 var l = Ti.UI.createLabel({
 	text:'Append Row',
 	color:'#999',
-	textAlign:'center',
-
+	textAlign:'center'
 });
 row.add(l);
-row.className = 'header'
+row.className = 'header';
 row.addEventListener('click', function()
 {
 	tableView.appendRow(addRow());
-})
+});
 data[0] = row;
 
 for (var x=1;x<3;x++)
@@ -62,13 +68,8 @@ for (var x=1;x<3;x++)
 	data[x] = addRow();
 }
 
-var tableView = Ti.UI.createTableView({
-	data:data, 	
-	style: Titanium.UI.iPhone.TableViewStyle.GROUPED,
-	top:50
-});
 tableView.addEventListener('click', function(e)
 {
 	clickLabel.text = 'row clicked at ' + new Date()+', source='+e.source;
 });
-win.add(tableView);	
\ No newline at end of file
+win.add(tableView);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/table_view_delete.js b/KitchenSink/Resources/examples/table_view_delete.js
index d921982..220db26 100644
--- a/KitchenSink/Resources/examples/table_view_delete.js
+++ b/KitchenSink/Resources/examples/table_view_delete.js
@@ -1,6 +1,6 @@
 var win = Titanium.UI.currentWindow;
 
-var data = []
+var data = [];
 // create the rest of the rows
 for (var c=0;c<50;c++)
 {
@@ -55,16 +55,17 @@ var edit = Titanium.UI.createButton({
 	title:'Edit'
 });
 
+var cancel = Titanium.UI.createButton({
+	title:'Cancel',
+	style:Titanium.UI.iPhone.SystemButtonStyle.DONE
+});
+
 edit.addEventListener('click', function()
 {
 	win.setRightNavButton(cancel);
 	tableView.editing = true;
 });
 
-var cancel = Titanium.UI.createButton({
-	title:'Cancel',
-	style:Titanium.UI.iPhone.SystemButtonStyle.DONE
-});
 cancel.addEventListener('click', function()
 {
 	win.setRightNavButton(edit);
diff --git a/KitchenSink/Resources/examples/table_view_dynamic_scroll.js b/KitchenSink/Resources/examples/table_view_dynamic_scroll.js
index 4e24ae1..13293f6 100644
--- a/KitchenSink/Resources/examples/table_view_dynamic_scroll.js
+++ b/KitchenSink/Resources/examples/table_view_dynamic_scroll.js
@@ -27,17 +27,6 @@ win.setRightNavButton(navActInd);
 var updating = false;
 var loadingRow = Ti.UI.createTableViewRow({title:"Loading..."});
 
-function beginUpdate()
-{
-	updating = true;
-	navActInd.show();
-
-	tableView.appendRow(loadingRow);
-	
-	// just mock out the reload
-	setTimeout(endUpdate,2000);
-}
-
 function endUpdate()
 {
 	updating = false;
@@ -52,11 +41,22 @@ function endUpdate()
 	lastRow += 10;
 	
 	// just scroll down a bit to the new rows to bring them into view
-	tableView.scrollToIndex(lastRow-9,{animated:true,position:Ti.UI.iPhone.TableViewScrollPosition.BOTTOM})
+	tableView.scrollToIndex(lastRow-9,{animated:true,position:Ti.UI.iPhone.TableViewScrollPosition.BOTTOM});
 	
 	navActInd.hide();
 }
 
+function beginUpdate()
+{
+	updating = true;
+	navActInd.show();
+
+	tableView.appendRow(loadingRow);
+
+	// just mock out the reload
+	setTimeout(endUpdate,2000);
+}
+
 var lastDistance = 0; // calculate location to determine direction
 
 tableView.addEventListener('scroll',function(e)
@@ -73,7 +73,7 @@ tableView.addEventListener('scroll',function(e)
 	if (distance < lastDistance)
 	{
 		// adjust the % of rows scrolled before we decide to start fetching
-		var nearEnd = theEnd * .75; 
+		var nearEnd = theEnd * 0.75;
 		
 		if (!updating && (total >= nearEnd))
 		{
diff --git a/KitchenSink/Resources/examples/table_view_edit_and_move.js b/KitchenSink/Resources/examples/table_view_edit_and_move.js
index 58b01ce..351e026 100644
--- a/KitchenSink/Resources/examples/table_view_edit_and_move.js
+++ b/KitchenSink/Resources/examples/table_view_edit_and_move.js
@@ -13,7 +13,7 @@ var data = [
 
 // create table view
 var tableview = Titanium.UI.createTableView({
-	data:data, editable:true, moveable:true,
+	data:data, editable:true, moveable:true
 });
 
 
@@ -33,16 +33,17 @@ var edit = Titanium.UI.createButton({
 	title:'Edit'
 });
 
+var cancel = Titanium.UI.createButton({
+	title:'Cancel',
+	style:Titanium.UI.iPhone.SystemButtonStyle.DONE
+});
+
 edit.addEventListener('click', function()
 {
 	win.setRightNavButton(cancel);
 	tableview.editing = true;
 });
 
-var cancel = Titanium.UI.createButton({
-	title:'Cancel',
-	style:Titanium.UI.iPhone.SystemButtonStyle.DONE
-});
 cancel.addEventListener('click', function()
 {
 	win.setRightNavButton(edit);
diff --git a/KitchenSink/Resources/examples/table_view_empty.js b/KitchenSink/Resources/examples/table_view_empty.js
index 573bea1..87f1e60 100644
--- a/KitchenSink/Resources/examples/table_view_empty.js
+++ b/KitchenSink/Resources/examples/table_view_empty.js
@@ -12,7 +12,7 @@ var b1 = Ti.UI.createButton({
 win.add(b1);
 b1.addEventListener('click',function()
 {
-	tableView.appendRow({title:'Foo'},{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT} )
+	tableView.appendRow({title:'Foo'},{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT});
 
 	//NOTE: since we're appending 2 different row layouts, we need to give one of them
 	//a table className otherwise the tableview will assume they're the same layout and
diff --git a/KitchenSink/Resources/examples/table_view_events.js b/KitchenSink/Resources/examples/table_view_events.js
index 41951aa..c33534c 100644
--- a/KitchenSink/Resources/examples/table_view_events.js
+++ b/KitchenSink/Resources/examples/table_view_events.js
@@ -71,16 +71,33 @@ tableView.addEventListener('dblckick', function(e)
 });
 win.add(tableView);
 
+function rowClicked(e)
+{
+  rowLabel.text = 'row clicked on row ' + e.index+' at ' + new Date().getSeconds();
+}
+
+function imageClicked(e)
+{
+  imageLabel.text = 'image clicked on row ' + e.source.row+' at ' + new Date().getSeconds();
+}
+
+function labelClicked(e)
+{
+  labelLabel.text = 'label clicked on row ' + e.source.row+' at ' + new Date().getSeconds();
+}
+
+function buttonClicked(e)
+{
+  buttonLabel.text = 'button clicked on row ' + e.source.row +' at ' + new Date().getSeconds();
+}
+
 var rows = [];
 for (var i=0;i<10;i++)
 {
 	var row = Ti.UI.createTableViewRow({
 		height:'auto'
 	});
-	row.addEventListener('click', function(e)
-	{
-		rowLabel.text = 'row clicked on row ' + e.index+' at ' + new Date().getSeconds();
-	});
+	row.addEventListener('click', rowClicked);
 	
 	var imageView = Ti.UI.createImageView({
 		url:'../images/apple_logo.jpg',
@@ -88,10 +105,7 @@ for (var i=0;i<10;i++)
 		width:30
 	});
 	imageView.row = i;
-	imageView.addEventListener('click', function(e)
-	{
-		imageLabel.text = 'image clicked on row ' + e.source.row+' at ' + new Date().getSeconds();
-	});
+	imageView.addEventListener('click', imageClicked);
 	row.add(imageView);
 
 	var label = Ti.UI.createLabel({
@@ -100,10 +114,7 @@ for (var i=0;i<10;i++)
 		width:100
 	});
 	label.row = i;
-	label.addEventListener('click', function(e)
-	{
-		labelLabel.text = 'label clicked on row ' + e.source.row+' at ' + new Date().getSeconds();
-	});
+	label.addEventListener('click', labelClicked);
 	row.add(label);
 	
 	var button = Ti.UI.createButton({
@@ -112,10 +123,7 @@ for (var i=0;i<10;i++)
 		width:100
 	});
 	button.row = i;
-	button.addEventListener('click', function(e)
-	{
-		buttonLabel.text = 'button clicked on row ' + e.source.row +' at ' + new Date().getSeconds();
-	});
+	button.addEventListener('click', buttonClicked);
 	row.add(button);
 	
 	rows[i] = row;	
diff --git a/KitchenSink/Resources/examples/table_view_footers.js b/KitchenSink/Resources/examples/table_view_footers.js
index 8b419f9..5e588eb 100644
--- a/KitchenSink/Resources/examples/table_view_footers.js
+++ b/KitchenSink/Resources/examples/table_view_footers.js
@@ -4,7 +4,7 @@ var data = [
 	{title:'Alice', hasDetail:true},
 	{title:'Alexander', hasCheck:true},
 	{title:'Amos'},
-	{title:'Alonzo', footer:'footer'},
+	{title:'Alonzo', footer:'footer'}
 ];
 
 // create table view
diff --git a/KitchenSink/Resources/examples/table_view_headers_filter.js b/KitchenSink/Resources/examples/table_view_headers_filter.js
index 9f73885..8ddc19a 100644
--- a/KitchenSink/Resources/examples/table_view_headers_filter.js
+++ b/KitchenSink/Resources/examples/table_view_headers_filter.js
@@ -70,18 +70,6 @@ var tableview = Titanium.UI.createTableView({
 	search:search
 });
 
-// create table view event listener
-tableview.addEventListener('click', function(e)
-{
-	if (e.index == 0)
-	tableview.index = index2
-	// event data
-	var index = e.index;
-	var section = e.section;
-	var row = e.row;
-	var rowdata = e.rowData;
-	Titanium.UI.createAlertDialog({title:'Table View',message:'row ' + row + ' index ' + index + ' section ' + section  + ' row data ' + rowdata}).show();
-});
 // set filters
 var index = [
 	{title:'A',index:0},
@@ -119,7 +107,22 @@ var index2 = [
 {title:'NN',index:52},
 {title:'OO',index:55},
 {title:'PP',index:(data.length -1)}	
-
 ];
+
+// create table view event listener
+tableview.addEventListener('click', function(e)
+{
+	if (e.index == 0)
+	{
+  		tableview.index = index2;
+	}
+	// event data
+	var index = e.index;
+	var section = e.section;
+	var row = e.row;
+	var rowdata = e.rowData;
+	Titanium.UI.createAlertDialog({title:'Table View',message:'row ' + row + ' index ' + index + ' section ' + section  + ' row data ' + rowdata}).show();
+});
+
 // add table view to the window
 Titanium.UI.currentWindow.add(tableview);
diff --git a/KitchenSink/Resources/examples/table_view_layout_2.js b/KitchenSink/Resources/examples/table_view_layout_2.js
index 7748914..1b398c3 100644
--- a/KitchenSink/Resources/examples/table_view_layout_2.js
+++ b/KitchenSink/Resources/examples/table_view_layout_2.js
@@ -10,7 +10,7 @@ var search = Titanium.UI.createSearchBar({
 });
 search.addEventListener('change', function(e)
 {
-   e.value // search string as user types
+   //e.value; // search string as user types
 });
 search.addEventListener('return', function(e)
 {
@@ -25,10 +25,10 @@ var tableView;
 var data = [];
 
 // create first row
-var row = Ti.UI.createTableViewRow();
-row.backgroundColor = '#576996';
-row.selectedBackgroundColor = '#385292';
-row.height = 40;
+var row1 = Ti.UI.createTableViewRow();
+row1.backgroundColor = '#576996';
+row1.selectedBackgroundColor = '#385292';
+row1.height = 40;
 var clickLabel = Titanium.UI.createLabel({
 	text:'Click different parts of the row',
 	color:'#fff',
@@ -37,14 +37,14 @@ var clickLabel = Titanium.UI.createLabel({
 	width:'auto',
 	height:'auto'
 });
-row.className = 'header';
-row.add(clickLabel);
-data.push(row);
+row1.className = 'header';
+row1.add(clickLabel);
+data.push(row1);
 
 // when you click the header, scroll to the bottom
-row.addEventListener('click',function()
+row1.addEventListener('click',function()
 {
-	tableView.scrollToIndex(40,{animated:true,position:Ti.UI.iPhone.TableViewScrollPosition.TOP})
+	tableView.scrollToIndex(40,{animated:true,position:Ti.UI.iPhone.TableViewScrollPosition.TOP});
 });
 
 // create update row (used when the user clicks on the row)
@@ -86,7 +86,7 @@ for (var c=1;c<50;c++)
 		left:10,
 		width:50,
 		height:50,
-		clickName:'photo',
+		clickName:'photo'
 	});
 	row.add(photo);
 	
@@ -174,7 +174,7 @@ tableView.addEventListener('click', function(e)
 	var rowNum = e.index;
 	var updateRow = createUpdateRow('You clicked on the '+e.source.clickName);
 	tableView.updateRow(rowNum,updateRow,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT});	
-})
+});
 
 win.add(tableView);
 
diff --git a/KitchenSink/Resources/examples/table_view_layout_3.js b/KitchenSink/Resources/examples/table_view_layout_3.js
index be3c62d..5e2908d 100644
--- a/KitchenSink/Resources/examples/table_view_layout_3.js
+++ b/KitchenSink/Resources/examples/table_view_layout_3.js
@@ -40,6 +40,15 @@ var add1 = Ti.UI.createButton({
 	top:15,
 	right:10
 });
+var delete1 = Ti.UI.createButton({
+	backgroundImage:'../images/groupedview/minusDefault.png',
+	height:27,
+	width:27,
+	top:15,
+	left:10,
+	visible:false
+});
+
 add1.addEventListener('click', function()
 {
 	row1.backgroundColor = '#390A0E';
@@ -54,14 +63,6 @@ add1.addEventListener('click', function()
 });
 row1.add(add1);
 
-var delete1 = Ti.UI.createButton({
-	backgroundImage:'../images/groupedview/minusDefault.png',
-	height:27,
-	width:27,
-	top:15,
-	left:10,
-	visible:false
-});
 delete1.addEventListener('click', function()
 {
 	row1.backgroundColor = '#670000';
@@ -99,7 +100,7 @@ var cost2 = Ti.UI.createLabel({
 	left:10,
 	height:25,
 	width:150
-})	
+});
 row2.add(cost2);
 
 var add2 = Ti.UI.createButton({
@@ -109,6 +110,16 @@ var add2 = Ti.UI.createButton({
 	top:15,
 	right:10
 });
+
+var delete2 = Ti.UI.createButton({
+	backgroundImage:'../images/groupedview/minusDefault.png',
+	height:27,
+	width:27,
+	top:15,
+	left:10,
+	visible:false
+});
+
 add2.addEventListener('click', function()
 {
 	row2.backgroundColor = '#390A0E';
@@ -125,14 +136,6 @@ add2.addEventListener('click', function()
 });
 row2.add(add2);
 
-var delete2 = Ti.UI.createButton({
-	backgroundImage:'../images/groupedview/minusDefault.png',
-	height:27,
-	width:27,
-	top:15,
-	left:10,
-	visible:false
-});
 delete2.addEventListener('click', function()
 {
 	row2.backgroundColor = '#670000';	
diff --git a/KitchenSink/Resources/examples/table_view_layout_4.js b/KitchenSink/Resources/examples/table_view_layout_4.js
index ee5d9ef..30c223d 100644
--- a/KitchenSink/Resources/examples/table_view_layout_4.js
+++ b/KitchenSink/Resources/examples/table_view_layout_4.js
@@ -42,6 +42,11 @@ var footerView = Ti.UI.createView({
 headerView.add(headerLabel);
 footerView.add(footerLabel);
 
+function labelClicked(e)
+{
+  Ti.API.info("clicked on label "+e.source);
+}
+
 for (var c=0;c<30;c++)
 {
 	var row = Ti.UI.createTableViewRow();
@@ -90,10 +95,7 @@ for (var c=0;c<30;c++)
 	}
 	row.add(label);
 	
-	label.addEventListener('click',function(e)
-	{
-		Ti.API.info("clicked on label "+e.source);
-	});
+	label.addEventListener('click', labelClicked);
 
 	var label2 = Ti.UI.createLabel({
 		text: "Other information could go here if you'd like",
diff --git a/KitchenSink/Resources/examples/table_view_layout_5.js b/KitchenSink/Resources/examples/table_view_layout_5.js
index e752125..d43b188 100644
--- a/KitchenSink/Resources/examples/table_view_layout_5.js
+++ b/KitchenSink/Resources/examples/table_view_layout_5.js
@@ -17,7 +17,7 @@ w.add(table);
 
 var idx = 1;
 
-for (var i in images) {
+for (var i = 0; i < images.length; i++) {
     var row = Ti.UI.createTableViewRow({
         height: 150,
         className: 'image'
diff --git a/KitchenSink/Resources/examples/table_view_perf.js b/KitchenSink/Resources/examples/table_view_perf.js
index 3df2e07..0fc46a9 100644
--- a/KitchenSink/Resources/examples/table_view_perf.js
+++ b/KitchenSink/Resources/examples/table_view_perf.js
@@ -17,7 +17,7 @@ v.add(l);
 w.add(v);
 
 var count = 500;
-var ts = new Date;
+var ts = new Date();
 
 var data = [];
 
@@ -29,7 +29,7 @@ for (var c=0;c<count;c++)
 
 tv.data = data;
 
-var ts2 = new Date;
+var ts2 = new Date();
 var duration = ts2.getTime() - ts.getTime();
 var each = count / duration;
 l.text = "Executed: "+count+" iterations\nTook: " + duration +" ms\n" + each.toFixed(2) + " ms/row";
diff --git a/KitchenSink/Resources/examples/table_view_pull_to_refresh.js b/KitchenSink/Resources/examples/table_view_pull_to_refresh.js
index bf45588..ea5de67 100644
--- a/KitchenSink/Resources/examples/table_view_pull_to_refresh.js
+++ b/KitchenSink/Resources/examples/table_view_pull_to_refresh.js
@@ -2,7 +2,7 @@ var win = Ti.UI.currentWindow;
 
 function formatDate()
 {
-	var date = new Date;
+	var date = new Date();
 	var datestr = date.getMonth()+'/'+date.getDate()+'/'+date.getFullYear();
 	if (date.getHours()>=12)
 	{
@@ -33,7 +33,7 @@ var border = Ti.UI.createView({
 	backgroundColor:"#576c89",
 	height:2,
 	bottom:0
-})
+});
 
 var tableHeader = Ti.UI.createView({
 	backgroundColor:"#e2e7ed",
@@ -97,12 +97,6 @@ tableView.headerPullView = tableHeader;
 var pulling = false;
 var reloading = false;
 
-function beginReloading()
-{
-	// just mock out the reload
-	setTimeout(endReloading,2000);
-}
-
 function endReloading()
 {
 	// simulate loading 
@@ -121,15 +115,21 @@ function endReloading()
 	arrow.show();
 }
 
+function beginReloading()
+{
+	// just mock out the reload
+	setTimeout(endReloading,2000);
+}
+
 tableView.addEventListener('scroll',function(e)
 {
 	var offset = e.contentOffset.y;
 	if (offset <= -65.0 && !pulling)
 	{
-		var t = Ti.UI.create2DMatrix();
-		t = t.rotate(-180);
+		var tf = Ti.UI.create2DMatrix();
+		tf = tf.rotate(-180);
 		pulling = true;
-		arrow.animate({transform:t,duration:180});
+		arrow.animate({transform:tf,duration:180});
 		statusLabel.text = "Release to refresh...";
 	}
 	else if (pulling && offset > -65.0 && offset < 0)
